2.1 "Available Packages" over http proxy server



  • Enviroment:
    2.1-BETA0 (amd64)
    built on Thu Dec 6 15:19:04 EST 2012
    FreeBSD 8.3-RELEASE-p5

    Problem:
    "Unable to communicate with www.pfsense.com. Please verify DNS and interface configuration, and that pfSense has functional Internet connectivity." It always appears when i want to see list of "Available Packages". I use http proxy server for outgoing connections. This problem does not occur when I try update firmware.

    Conclusion:
    Update firmware over proxy is possible (there is traffic between proxy server and pfsense).
    Available Packages are not accesible (pfsense does not generate any traffic to proxy server, this is weird).

    Is this a bug?

    EDIT: I found informations that this may be related with upgrading pfsense to beta version from stable. Is there any reference to that operation?



  • Have you configured your proxy under system->advanced?



  • @ermal:

    Have you configured your proxy under system->advanced?

    Yes. As i wrote i can update system to new version using this proxy but when i want see available packages i can't do this.

    I think packages system doesnt use proxy settings.

    My configuration:

    pfsense:
    en0 1.1.1.1/32
    en1 192.168.0.1/24

    proxy:
    eth1 192.168.0.2/24

    After unplugging cable from en0 of pfsense i can update my system to new version but i cant check available packages.


Locked